#!/bin/bash

cp ${RECIPE_DIR}/CUDNN_License.pdf ./CUDNN_License.pdf

cp -R include $PREFIX/include
if [ "$(uname)" == "Linux" ]; then
    mkdir -p $PREFIX/lib
    if [ "$(uname -p)" == "ppc64le" ]; then
        cp lib/libcudnn_static.a $PREFIX/lib/
        cp lib/libcudnn.so.6.0.21 $PREFIX/lib/
    else
        cp lib64/libcudnn_static.a $PREFIX/lib/
        cp lib64/libcudnn.so.6.0.21 $PREFIX/lib/
    fi
    ln -s $PREFIX/lib/libcudnn.so.6.0.21 $PREFIX/lib/libcudnn.so
    ln -s $PREFIX/lib/libcudnn.so.6.0.21 $PREFIX/lib/libcudnn.so.6
    ln -s $PREFIX/lib/libcudnn.so.6.0.21 $PREFIX/lib/libcudnn.so.6.0
fi

if [ "$(uname)" == "Darwin" ]; then
    cp -R lib $PREFIX/lib
fi
